@echo off
rem =======================================================================
rem = MailMerger.bat          Peter Talbot            (c)2022             =
rem =======================================================================

rem =======================================================================
rem = CHANGE THESE TWO LINES TO SUIT YOUR ENVIRONMENT                     =
rem =======================================================================
SET _homedir="C:\Users\PeterTalbot\OneDrive\OneDrive - Jo and Peter Talbot\Pearbright\mailmerger"
SET _download="C:\Users\PeterTalbot\Downloads"

rem =======================================================================
rem = find most recent csv file in download folder                        =
rem =======================================================================
SET _tempfile="%_homedir%\temp.txt"
DIR "%_download%\*.csv" /B /O:-D > "%_tempfile%"
SET /P _latest=<"%_tempfile%"
echo .
echo . Most recent CSV download is %_latest%
echo .
IF EXIST %_homedir%\address.csv DEL /Q %_homedir%\address.csv
COPY /Y /B %_download%\"%_latest%" %_homedir%\address.csv
IF NOT EXIST %_homedir%\address.csv GOTO endprog

rem =======================================================================
rem = copy the master (empty) access database to a working copy           =
rem =======================================================================
COPY /Y /B %_homedir%\master.mdb %_homedir%\address.mdb

rem =======================================================================
rem = delete any previous results                                         =
rem =======================================================================
IF EXIST %_homedir%\result.docx DEL /F /Q %_homedir%\result.docx
echo .
echo . Passing control to mailmerger1.vbs
echo .

rem =======================================================================
rem = use VBScript to choose a template, copy the data into the access    =
rem = database and run the mailmerge                                      =
rem =======================================================================
CSCRIPT mailmerger1.vbs //Nologo %_homedir%

:endprog
pause
